org.eclipse.gmt.modisco.java.generation.files

## Class Generate_JavaStructures

- java.lang.Object
- - AbstractAcceleoGenerator
  - - org.eclipse.gmt.modisco.java.generation.files.GenerateJava
    - - org.eclipse.gmt.modisco.java.generation.files.GenerateJavaExtended
      - - org.eclipse.gmt.modisco.java.generation.files.Generate_JavaStructures

Deprecated.
use GenerateJavaExtended

    @Deprecated
    public class Generate_JavaStructures
    extends GenerateJavaExtended

### Field Summary

### Fields inherited from class org.eclipse.gmt.modisco.java.generation.files.GenerateJava

`MODULE_FILE_NAME, TEMPLATE_NAMES`

### Constructor Summary

Constructors
Constructor and Description
`Generate_JavaStructures()` Deprecated.
`Generate_JavaStructures(EObject model, java.io.File targetFolder, java.util.List<? extends java.lang.Object> arguments)` Deprecated.
`Generate_JavaStructures(URI modelURI, java.io.File targetFolder, java.util.List<? extends java.lang.Object> arguments)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `doGenerate(Monitor monitor)` Deprecated. Launches the generation described by this instance.
`static void` `main(java.lang.String[] args)` Deprecated.

### Methods inherited from class org.eclipse.gmt.modisco.java.generation.files.GenerateJava

`addPropertiesFile, getGenerationListeners, getGenerationStrategy, getModuleName, getProperties, getTemplateNames, registerPackages, registerResourceFactories`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Generate_JavaStructures

    public Generate_JavaStructures()

Deprecated.

#### Generate_JavaStructures

    public Generate_JavaStructures(URI modelURI,
                                   java.io.File targetFolder,
                                   java.util.List<? extends java.lang.Object> arguments)
                            throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

#### Generate_JavaStructures

    public Generate_JavaStructures(EObject model,
                                   java.io.File targetFolder,
                                   java.util.List<? extends java.lang.Object> arguments)
                            throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

### Method Detail

#### doGenerate

    public void doGenerate(Monitor monitor)
                    throws java.io.IOException

Deprecated.
Description copied from class: `GenerateJava`
Launches the generation described by this instance.

Overrides:
  `doGenerate` in class `GenerateJavaExtended`
Parameters:
  `monitor` - This will be used to display progress information to the user.
Throws:
  `java.io.IOException` - This will be thrown if any of the output files cannot be saved to disk.

#### main

    @Deprecated
    public static void main(java.lang.String[] args)

Deprecated.
This can be used to launch the generation from a standalone application.

Parameters:
  `args` - Arguments of the generation.